Subject: Re: Changing title bar colors.
From: Richard Wiffen <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 04 Jul 1994 13:06:20 +0800

Mr Mig wrote:

> Re: Changing the color of the title bar on an intuition screen.

> This one is easy (even for me! :)  Use the PalRGB command after
> opening up your screen.  For example:

>     Screen 0,0
>     ScreensBitMap 0,0
>     PalRGB 0,2,6,5,6
>     Use Palette 0
>     MouseWait

Um, thanks, but that's not *quite* what I was after...

What I need to know is how to change *which* registers are actually used
to draw the titlebar, not how to change the *contents* of the registers.  :)

Say, for example, that the title bar is drawn with register 2 (like your
example), but that register has the same (or similar) colour as the
background (a paint program for example...), so you can't change it.
Assume register 3, though, has a different colour.  Is there any way
to tell Intuition to use register 3 instead of register 2 to draw the
title bar???  The same goes for the text in the title bar...

It's probably a really simple problem...

- Richard

     _--_|\ AMIGA /// Richard Wiffen ([email-masked]) -- Perth, W.A.
    /      \ OK! /// --------------------------------------------------------- 
 ==>\_.--._/ \\\/// "Hm!  Teenagers...  They think they know everything.       
          v   \XX/           You give them an inch, they swim all over you."